%define upstream_name    App-Raps2
%define upstream_version 0.53

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Password class for App::Raps2
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config::Tiny)
BuildRequires: perl(Crypt::CBC)
BuildRequires: perl(Crypt::Eksblowfish)
BuildRequires: perl(Crypt::Eksblowfish::Bcrypt)
BuildRequires: perl-File-BaseDir
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(POSIX)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Test::Compile)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
*App::Raps2* is the backend for *raps2*, a simple commandline password
safe.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
rm -rf %buildroot
./Build install destdir=%{buildroot}

%files
%doc Changelog COPYING SIGNATURE META.yml README
%{_bindir}/raps2
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/raps2
/usr/share/man/man1/raps2.1.xz



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.530.0-3.mga3
+ Revision: 363081
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 26 2011 shlomif <shlomif> 0.530.0-2.mga2
+ Revision: 129757
- Fixed the File::BaseDir dependency.
- imported package perl-App-Raps2

